Update a DNS domain
PUT/v1/dns/domains/{id}
A PUT request to the /v1/dns/domains/{id} endpoint will update the labels of a DNS domain specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
id | stringA unique identifier of a DNS domain. |
Request Body
| Field | Details |
|---|---|
labels | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. Replaces the domain's existing labels. |
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/dns/domains/4QbYEKbz" \ -H "Content-Type: application/json" \ -d '{ "labels": { "environment": "new_env", "new_key": "new_val" } }'{ "id": "4QbYEKbz", "name": "example-616.com", "email": "person-71@example.com", "ttl": 3600, "delegation_status": "delegated", "unpublish_date": null, "labels": { "environment": "new_env", "new_key": "new_val" }, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z"}